/// <reference types="jquery" />
/// <reference types="jstree" />
import OncoprintModel, { TrackId, TrackSortDirection } from './oncoprintmodel';
export declare const CLOSE_MENUS_EVENT = "oncoprint-track-options-view.do-close-menus";
declare type TrackCallback = (trackId: TrackId) => void;
export default class OncoprintTrackOptionsView {
    private $div;
    private moveUpCallback;
    private moveDownCallback;
    private removeCallback;
    private sortChangeCallback;
    private unexpandCallback;
    private showGapsCallback;
    private $ctr;
    private $buttons_ctr;
    private $dropdown_ctr;
    private img_size;
    private rendering_suppressed;
    private track_options_$elts;
    private menu_shown;
    private clickHandler;
    private interaction_disabled;
    constructor($div: JQuery, moveUpCallback: TrackCallback, moveDownCallback: TrackCallback, removeCallback: TrackCallback, sortChangeCallback: (trackId: TrackId, sortDirection: TrackSortDirection) => void, unexpandCallback: TrackCallback, showGapsCallback: (trackId: TrackId, showGaps: boolean) => void);
    private renderAllOptions;
    private scroll;
    private resize;
    private hideTrackMenu;
    private showTrackMenu;
    private hideAllMenus;
    private hideMenusExcept;
    private static $makeDropdownOption;
    private static $makeDropdownSeparator;
    private static renderSortArrow;
    private renderTrackOptions;
    enableInteraction(): void;
    disableInteraction(): void;
    suppressRendering(): void;
    releaseRendering(model: OncoprintModel, getCellViewHeight: () => number): void;
    setScroll(model: OncoprintModel): void;
    setHorzScroll(model: OncoprintModel): void;
    setVertScroll(model: OncoprintModel): void;
    setZoom(model: OncoprintModel, getCellViewHeight: () => number): void;
    setVertZoom(model: OncoprintModel, getCellViewHeight: () => number): void;
    setTrackGroupHeader(model: OncoprintModel, getCellViewHeight: () => number): void;
    sort(model: OncoprintModel, getCellViewHeight: () => number): void;
    setViewport(model: OncoprintModel, getCellViewHeight: () => number): void;
    getWidth(): number;
    setTrackShowGaps(model: OncoprintModel, getCellViewHeight: () => number): void;
    addTracks(model: OncoprintModel, getCellViewHeight: () => number): void;
    moveTrack(model: OncoprintModel, getCellViewHeight: () => number): void;
    setTrackGroupOrder(model: OncoprintModel): void;
    setSortConfig(model: OncoprintModel): void;
    removeTrack(model: OncoprintModel, track_id: TrackId, getCellViewHeight: () => number): void;
    destroy(): void;
    setTrackCustomOptions(model: OncoprintModel): void;
    setTrackMovable(model: OncoprintModel): void;
}
export {};
